Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_ss_gpio_port_config_t Struct Reference
SS GPIO

SS GPIO port configuration type. More...

`#include <qm_ss_gpio.h>`

## Data Fields
uint32_t | direction
| SS GPIO direction, 0b: input, 1b: output. More...
uint32_t | int_en
| Interrupt enable. More...
uint32_t | int_type
| Interrupt type, 0b: level; 1b: edge. More...
uint32_t | int_polarity
| Interrupt polarity, 0b: low, 1b: high. More...
uint32_t | int_debounce
| Debounce on/off. More...
uint32_t | int_bothedge
| Interrupt on rising and falling edges.
void(* | callback )(void *data, uint32_t int_status)
| User callback. More...
void * | callback_data
| Callback user data. More...

## Detailed Description

SS GPIO port configuration type.

Each bit in the registers control a GPIO pin.

Definition at line 32 of file qm_ss_gpio.h.

## Field Documentation

void(* qm_ss_gpio_port_config_t::callback)(void *data, uint32_t int_status)

User callback.

Called for any interrupt on the Sensor Subsystem GPIO.

Parameters

  [in] | data | The callback user data.
  [in] | int_status | Bitfield of triggered pins.

Definition at line 51 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

void* qm_ss_gpio_port_config_t::callback_data

Callback user data.

Definition at line 52 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

uint32_t qm_ss_gpio_port_config_t::direction

SS GPIO direction, 0b: input, 1b: output.

Definition at line 33 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

uint32_t qm_ss_gpio_port_config_t::int_debounce

Debounce on/off.

Definition at line 37 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

uint32_t qm_ss_gpio_port_config_t::int_en

Interrupt enable.

Definition at line 34 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

uint32_t qm_ss_gpio_port_config_t::int_polarity

Interrupt polarity, 0b: low, 1b: high.

Definition at line 36 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().

uint32_t qm_ss_gpio_port_config_t::int_type

Interrupt type, 0b: level; 1b: edge.

Definition at line 35 of file qm_ss_gpio.h.

Referenced by qm_ss_gpio_set_config().